Межсайтовый скриптинг в Openfire

Дата публикации:
14.08.2008
Дата изменения:
29.03.2009
Всего просмотров:
1092
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Openfire 3.3.x
Openfire 3.4.x
Openfire 3.5.x
Уязвимые версии: Openfire 3.5.2, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "url" в сценарии login.jsp. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.igniterealtime.org/projects/openfire/index.jsp

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
29.03.2009
Изменена секция "Решение"

Ссылки: http://www.igniterealtime.org/issues/browse/JM-629

или введите имя

CAPTCHA